Vla-put-leaderlength

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-put-leaderlength vla-object length)


機能
直径寸法または半径寸法の引出線の長さを指定する。


引数
  • vla-object … VLAオブジェクト(DimDiametric、DimRadial)
  • length … 引出線の長さ


戻り値
nil


  • 注意
    • LeaderLength は、ChordPoint 寸法定義点から注釈文字への水平ドッグレグまで(ドッグレグが不要な場合は寸法線の端まで)の距離。(詳細は、AddDimDiametric または AddDimRadial メソッドを参照。)
    • LeaderLength の設定は、寸法の作成時以外は使用されない。寸法が保存された後は、LeaderLength の値を変更しても寸法の表示に影響しない。LeaderLength プロパティは引出線の位置を計算するために使用される。この値は保存されないので、読み込んだ場合は常にゼロが戻る。


サンプル
(vl-load-com)
(defun c:Example_LeaderLength()
    ;; 直径寸法を、LeaderLength を指定して作成するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    
    ;; 直径寸法の設定
    (setq chordPoint (vlax-3d-point 5 3 0)
          farChordPoint (vlax-3d-point 5 5 0)
          leaderLength 1)
    
    ;; 直径寸法を作成
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq dimObj (vla-AddDimDiametric modelSpace chordPoint farChordPoint leaderLength))
    (vla-ZoomAll acadObj)
)


関連事項